Index: inc/public/class.dc.template.php
===================================================================
--- inc/public/class.dc.template.php	(revision 833)
+++ inc/public/class.dc.template.php	(revision 848)
@@ -2867,19 +1945,4 @@
 		}
 		
-		if (isset($attr['comments_active'])) {
-			$sign = (boolean) $attr['comments_active'] ? '' : '!';
-			$if[] = $sign.'$core->blog->settings->system->allow_comments';
-		}
-		
-		if (isset($attr['pings_active'])) {
-			$sign = (boolean) $attr['pings_active'] ? '' : '!';
-			$if[] = $sign.'$core->blog->settings->system->allow_trackbacks';
-		}
-        
-		if (isset($attr['wiki_comments'])) {
-			$sign = (boolean) $attr['wiki_comments'] ? '' : '!';
-			$if[] = $sign.'$core->blog->settings->system->wiki_comments';
-		}
-		
 		if (isset($attr['search_count']) &&
 			preg_match('/^((=|!|&gt;|&lt;)=|(&gt;|&lt;))\s*[0-9]+$/',trim($attr['search_count']))) {
@@ -2894,26 +1957,4 @@
 			return $content;
 		}
-	}
-	
-	/*dtd
-	<!ELEMENT tpl:SysIfCommentPublished - - -- Container displayed if comment has been published -->
-	*/
-	public function SysIfCommentPublished($attr,$content)
-	{
-		return
-		'<?php if (!empty($_GET[\'pub\'])) : ?>'.
-		$content.
-		'<?php endif; ?>';
-	}
-	
-	/*dtd
-	<!ELEMENT tpl:SysIfCommentPending - - -- Container displayed if comment is pending after submission -->
-	*/
-	public function SysIfCommentPending($attr,$content)
-	{
-		return
-		'<?php if (isset($_GET[\'pub\']) && $_GET[\'pub\'] == 0) : ?>'.
-		$content.
-		'<?php endif; ?>';
 	}
 	
Index: inc/public/lib.urlhandlers.php
===================================================================
--- inc/public/lib.urlhandlers.php	(revision 779)
+++ inc/public/lib.urlhandlers.php	(revision 848)
@@ -339,13 +339,4 @@
 
 			$_ctx->posts = $core->blog->getPosts($params);
-			
-			$_ctx->comment_preview = new ArrayObject();
-			$_ctx->comment_preview['content'] = '';
-			$_ctx->comment_preview['rawcontent'] = '';
-			$_ctx->comment_preview['name'] = '';
-			$_ctx->comment_preview['mail'] = '';
-			$_ctx->comment_preview['site'] = '';
-			$_ctx->comment_preview['preview'] = false;
-			$_ctx->comment_preview['remember'] = false;
 			
 			$core->blog->withoutPassword(true);
@@ -385,97 +376,4 @@
 				}
 				
-				$post_comment =
-					isset($_POST['c_name']) && isset($_POST['c_mail']) &&
-					isset($_POST['c_site']) && isset($_POST['c_content']) &&
-					$_ctx->posts->commentsActive();
-				
-				# Posting a comment
-				if ($post_comment)
-				{
-					# Spam trap
-					if (!empty($_POST['f_mail'])) {
-						http::head(412,'Precondition Failed');
-						header('Content-Type: text/plain');
-						echo "So Long, and Thanks For All the Fish";
-						# Exits immediately the application to preserve the server.
-						exit;
-					}
-					
-					$name = $_POST['c_name'];
-					$mail = $_POST['c_mail'];
-					$site = $_POST['c_site'];
-					$content = $_POST['c_content'];
-					$preview = !empty($_POST['preview']);
-					
-					if ($content != '')
-					{
-						if ($core->blog->settings->system->wiki_comments) {
-							$core->initWikiComment();
-						} else {
-							$core->initWikiSimpleComment();
-						}
-						$content = $core->wikiTransform($content);
-						$content = $core->HTMLfilter($content);
-					}
-					
-					$_ctx->comment_preview['content'] = $content;
-					$_ctx->comment_preview['rawcontent'] = $_POST['c_content'];
-					$_ctx->comment_preview['name'] = $name;
-					$_ctx->comment_preview['mail'] = $mail;
-					$_ctx->comment_preview['site'] = $site;
-					
-					if ($preview)
-					{
-						# --BEHAVIOR-- publicBeforeCommentPreview
-						$core->callBehavior('publicBeforeCommentPreview',$_ctx->comment_preview);
-						
-						$_ctx->comment_preview['preview'] = true;
-					}
-					else
-					{
-						# Post the comment
-						$cur = $core->con->openCursor($core->prefix.'comment');
-						$cur->comment_author = $name;
-						$cur->comment_site = html::clean($site);
-						$cur->comment_email = html::clean($mail);
-						$cur->comment_content = $content;
-						$cur->post_id = $_ctx->posts->post_id;
-						$cur->comment_status = $core->blog->settings->system->comments_pub ? 1 : -1;
-						$cur->comment_ip = http::realIP();
-						
-						$redir = $_ctx->posts->getURL();
-						$redir .= $core->blog->settings->system->url_scan == 'query_string' ? '&' : '?';
-						
-						try
-						{
-							if (!text::isEmail($cur->comment_email)) {
-								throw new Exception(__('You must provide a valid email address.'));
-							}
-							
-							# --BEHAVIOR-- publicBeforeCommentCreate
-							$core->callBehavior('publicBeforeCommentCreate',$cur);
-							if ($cur->post_id) {					
-								$comment_id = $core->blog->addComment($cur);
-								
-								# --BEHAVIOR-- publicAfterCommentCreate
-								$core->callBehavior('publicAfterCommentCreate',$cur,$comment_id);
-							}
-							
-							if ($cur->comment_status == 1) {
-								$redir_arg = 'pub=1';
-							} else {
-								$redir_arg = 'pub=0';
-							}
-							
-							header('Location: '.$redir.$redir_arg);
-						}
-						catch (Exception $e)
-						{
-							$_ctx->form_error = $e->getMessage();
-							$_ctx->form_error;
-						}
-					}
-				}
-				
 				# The entry
 				self::serveDocument('post.html');
@@ -513,5 +411,4 @@
 	{
 		$type = null;
-		$comments = false;
 		$cat_url = false;
 		$post_id = null;
@@ -547,16 +444,8 @@
 			return;
 		}
-		elseif (preg_match('#^(atom|rss2)/comments/([0-9]+)$#',$args,$m))
-		{
-			# Post comments feed
-			$type = $m[1];
-			$comments = true;
-			$post_id = (integer) $m[2];
-		}
 		elseif (preg_match('#^(?:category/(.+)/)?(atom|rss2)(/comments)?$#',$args,$m))
 		{
 			# All posts or comments feed
 			$type = $m[2];
-			$comments = !empty($m[3]);
 			if (!empty($m[1])) {
 				$cat_url = $m[1];
@@ -608,11 +497,6 @@
 		
 		$tpl = $type;
-		if ($comments) {
-			$tpl .= '-comments';
-			$_ctx->nb_comment_per_page = $core->blog->settings->system->nb_comment_per_feed;
-		} else {
-			$_ctx->nb_entry_per_page = $core->blog->settings->system->nb_post_per_feed;
-			$_ctx->short_feed_items = $core->blog->settings->system->short_feed_items;
-		}
+		$_ctx->nb_entry_per_page = $core->blog->settings->system->nb_post_per_feed;
+		$_ctx->short_feed_items = $core->blog->settings->system->short_feed_items;
 		$tpl .= '.xml';
 		
@@ -627,15 +511,4 @@
 		if (!$comments && !$cat_url) {
 			$core->blog->publishScheduledEntries();
-		}
-	}
-	
-	public static function trackback($args)
-	{
-		if (!preg_match('/^[0-9]+$/',$args)) {
-			# The specified trackback URL is not an number
-			self::p404();
-		} else {
-			$tb = new dcTrackback($GLOBALS['core']);
-			$tb->receive($args);
 		}
 	}
Index: inc/public/rs.extension.php
===================================================================
--- inc/public/rs.extension.php	(revision 270)
+++ inc/public/rs.extension.php	(revision 848)
@@ -13,5 +13,4 @@
 
 $core->addBehavior('coreBlogGetPosts',array('rsExtendPublic','coreBlogGetPosts'));
-$core->addBehavior('coreBlogGetComments',array('rsExtendPublic','coreBlogGetComments'));
 
 class rsExtendPublic
@@ -22,8 +21,4 @@
 	}
 	
-	public static function coreBlogGetComments($rs)
-	{
-		$rs->extend('rsExtCommentPublic');
-	}
 }
 
@@ -74,20 +69,3 @@
 }
 
-class rsExtCommentPublic extends rsExtComment
-{
-	public static function getContent($rs,$absolute_urls=false)
-	{
-		if ($rs->core->blog->settings->system->use_smilies)
-		{
-			$c = parent::getContent($rs,$absolute_urls);
-			
-			if (!isset($GLOBALS['__smilies'])) {
-				$GLOBALS['__smilies'] = context::getSmilies($rs->core->blog);
-			}
-			return context::addSmilies($c);
-		}
-		
-		return parent::getContent($rs,$absolute_urls);
-	}
-}
 ?>
Index: locales/en/resources.php
===================================================================
--- locales/en/resources.php	(revision 270)
+++ locales/en/resources.php	(revision 848)
@@ -25,5 +25,4 @@
 	'core_blog_pref' => dirname(__FILE__).'/help/blog_pref.html',
 	'core_categories' => dirname(__FILE__).'/help/categories.html',
-	'core_comments' => dirname(__FILE__).'/help/comments.html',
 	'core_media' => dirname(__FILE__).'/help/media.html',
 	'core_post' => dirname(__FILE__).'/help/post.html',
